Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > > Struct Template Reference

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface. More...

`#include <giomm/file.h>`

## Public Types

using | CppType = Glib::RefPtr< Gio::File >
using | CType = GFile*
using | CTypeNonConst = GFile*

## Static Public Member Functions

static CType | to_c_type (const CppType& item)
static CppType | to_cpp_type (const CType& item)
static void | release_c_type (CType item)

## Detailed Description

### template<>
struct Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > >

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface.

## Member Typedef Documentation

## CppType

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > >::CppType = Glib::RefPtr<Gio::File>

## CType

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > >::CType = GFile*

## CTypeNonConst

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > >::CTypeNonConst = GFile*

## Member Function Documentation

## release_c_type()

static void Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > >::release_c_type | ( | CType | item | ) |

inline static

## to_c_type()

static CType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > >::to_c_type | ( | const CppType& | item | ) |

inline static

## to_cpp_type()

static CppType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > >::to_cpp_type | ( | const CType& | item | ) |

inline static